<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/UserFnswAMICI/callSimulation.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li><li class="navelem"><a class="el" href="../../dir_98b517ef0d23819caf68c55934b2662d.html">UserFnswAMICI</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">callSimulation.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d10/_projects_2_llamosi2016_2_user_fnsw_a_m_i_c_i_2call_simulation_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="../../d2/d10/_projects_2_llamosi2016_2_user_fnsw_a_m_i_c_i_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">    1</a></span>&#160;<span class="keyword">function</span> [t,f_t,x_t,dydp,H1] = <a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(varargin)</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;% time_exp,px,ydata_response,theta_hat,int_opts,type</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;ME=[]; % Store error</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keywordflow">try</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; t=varargin{1};</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; para=exp(varargin{2});</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; int_opts=varargin{5};</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;% Parameters passed </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;k_p=para(1); %m production</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;g_m=para(2); %m degradation</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;g_p=para(3); %p degradation</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;% fixed constants</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;addon=[0 2 3 10 14];% defines the time where the integration input changes</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;% times when input is added</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; t_in=[30  60.0000   90.0000  120.0000  150.0000  180.0000  210.0000  241.9064  290.4352  372.1597  455.3190 510.8225  546.0478];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordflow">if</span>(isfield(int_opts,<span class="stringliteral">&#39;t0&#39;</span>))</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;t0=int_opts.t0;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;t_start_idx=min(find(t_in&gt;=t0));</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    t0=0;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    t_start_idx=1;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;end</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;fn_handle=int_opts.model;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;times=[];</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;% intial values</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;xs=[];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;ys=[];</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;us=[];</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keywordflow">if</span>(isfield(int_opts,<span class="stringliteral">&#39;init_sx&#39;</span>))</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;init_sx=int_opts.init_sx; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    init_sx=zeros(3,3);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;end</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;% input time</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;inp=t_in(t_start_idx);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;int_opts.k(4)=inp;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;tau=exp(3.4);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;options = amioption(<span class="stringliteral">&#39;sensi&#39;</span>,1,...</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="stringliteral">&#39;atol&#39;</span>,int_opts.abstol,<span class="stringliteral">&#39;rtol&#39;</span>,int_opts.rtol,<span class="stringliteral">&#39;tstart&#39;</span>,t0,<span class="stringliteral">&#39;maxsteps&#39;</span>,10000,<span class="stringliteral">&#39;sx0&#39;</span>,init_sx);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;% intialise sensitivities vector </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;sensitivities_1=[0,0];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;sensitivities_2=[0,0];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;sensitivities_3=[0,0];</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;% Second order sensitivities: intialise empty array</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;% TODO: Check <span class="keywordflow">if</span> we miss a data that start within the input pulse.  </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordflow">for</span> i=t_start_idx:length(t_in)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;     </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    inp=t_in(i);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    int_opts.k(4)=inp+tau;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keywordflow">for</span> j=1:length(addon)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">while</span>(t0&lt;t_in(i)+addon(j)+tau)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    simulation_time=linspace(t0, t_in(i)+addon(j)+tau);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    simulated=fn_handle(simulation_time,[k_p, g_m, g_p],int_opts.k,[],options);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    t0=t_in(i)+addon(j)+tau;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    x0=simulated.x(end,:)<span class="stringliteral">&#39;;</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="stringliteral">    int_opts.k(1:3)=x0;</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="stringliteral">    times=cat(1,times,simulated.t(1:end-1));</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="stringliteral">    xs=cat(1,xs,simulated.x(1:end-1,:));</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="stringliteral">    ys=cat(1,ys,simulated.y(1:end-1,:));</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="stringliteral">    </span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="stringliteral">    % first order sens: for observation</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="stringliteral">    sensitivities_1=cat(1,sensitivities_1, simulated.sy(2:end,:,1).*k_p);</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="stringliteral">    sensitivities_2=cat(1,sensitivities_2,simulated.sy(2:end,:,2).*g_m);</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="stringliteral">    sensitivities_3=cat(1,sensitivities_3,simulated.sy(2:end,:,3).*g_p);</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="stringliteral">    % initialize sensitivity also for next iteration</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="stringliteral">    init_sx=squeeze(simulated.sx(end,:,:));</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="stringliteral">    % new options set </span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="stringliteral">    options = amioption(&#39;</span>sensi<span class="stringliteral">&#39;,1,...</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="stringliteral">    &#39;</span>atol<span class="stringliteral">&#39;,int_opts.abstol,&#39;</span>rtol<span class="stringliteral">&#39;,int_opts.rtol,&#39;</span>tstart<span class="stringliteral">&#39;,t0,&#39;</span>maxsteps<span class="stringliteral">&#39;,10000,&#39;</span>sx0<span class="stringliteral">&#39;,init_sx);</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="stringliteral">    end</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="stringliteral">simulation_time=linspace(546.0478+tau+14, 700);</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="stringliteral">simulated=fn_handle(simulation_time,([k_p, g_m, g_p]),int_opts.k,[],options);</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="stringliteral">    times=cat(1,times,simulated.t(1:end));</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="stringliteral">    xs=cat(1,xs,simulated.x(1:end,:));</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="stringliteral">    ys=cat(1,ys,simulated.y(1:end,:));</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="stringliteral">    % Observation sensitivities</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="stringliteral">    sensitivities_1=cat(1,sensitivities_1,simulated.sy(2:end,1:2,1).*k_p);</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="stringliteral">    sensitivities_2=cat(1,sensitivities_2,simulated.sy(2:end,1:2,2).*g_m);</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="stringliteral">    sensitivities_3=cat(1,sensitivities_3,simulated.sy(2:end,1:2,3).*g_p);</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="stringliteral">    % Interpolate states/ observation for times we are interested in </span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="stringliteral">    f_t=interp1(times,ys(:,1),t);</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="stringliteral">    x_t=interp1(times,xs,t);</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="stringliteral">    dydp(:,:,1)=[sensitivities_1(:,1) sensitivities_2(:,1) sensitivities_3(:,1)];</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="stringliteral">   </span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="stringliteral">    dydp=interp1(times,dydp,t);</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="stringliteral">    dxdp=squeeze(simulated.sx(end,:,:));</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="stringliteral">    H1=[];</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="stringliteral">    % noise model</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="stringliteral">    if ~isempty(varargin{4})</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="stringliteral">     </span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="stringliteral">     noise_params=varargin{4};</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="stringliteral">      ydata=varargin{3};</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="stringliteral">      </span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="stringliteral">     for kk=1</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="stringliteral">    noise_params_obs=noise_params{kk};</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="stringliteral">    sigma_y=noise_params_obs(1)+f_t*noise_params_obs(2);</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="stringliteral">    ydata_obs_data=ydata.Y(ydata.YID==kk);</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="stringliteral">      </span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="stringliteral">     %Check NaNs in the data and exclude them.</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="stringliteral">     ids=1:length(ydata_obs_data);</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="stringliteral">     nonans=~isnan(ydata_obs_data);</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="stringliteral">     dydp_obs=dydp(ids(nonans),[1,2,3],kk);  </span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="stringliteral">     sigma_y=sigma_y(ids(nonans),:);</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="stringliteral">     % Hessian using the first order sensitivities: </span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="stringliteral">     H1= dydp_obs&#39;</span>*get_stableinverse(diag(sigma_y.^2))*dydp_obs;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;     </div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;     end</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    end</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160; </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keywordflow">catch</span> ME</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;disp(ME)</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;end</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;% incase there was an error</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keywordflow">if</span> isempty(ME)==<span class="keyword">false</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    f_t=zeros(size(t))+Inf;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    f_t=f_t<span class="stringliteral">&#39;;</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="stringliteral">    dydp=[];</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="stringliteral">    H1=Inf;</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="stringliteral">    x_t=[];</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="stringliteral">end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_projects_2_llamosi2016_2_user_fns_2call_simulation_8m_html_a675cf3332f7c9140d55c01870b188396"><div class="ttname"><a href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a></div><div class="ttdeci">function callSimulation(in varargin)</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
